%hstsave - function for hystogram saving
function hstsave(FileName,Hst,BinsX,BinsY)

%Inputs:
%FileName -	Filename template
%Hst -	Histogram data file
%BinsX -	X bins' boundaries vector.
%BinsY -	Y bins' boundaries vector.

fh=fopen([FileName,'.txh'],'w');

fprintf(fh,'%16.14g\t', length(BinsX));fprintf(fh,'%16.14g\n',  length(BinsY));
fprintf(fh,'%16.14g\n', BinsX);
fprintf(fh,'%16.14g\n', BinsY);
for i=1:size(Hst,1)
   fprintf(fh,'%16.14g\t', Hst(i,1:(end-1)));fprintf(fh,'%16.14g\n', Hst(i,end));
end
fclose(fh);