%dwtopendlg - dialog for selecting dwelling time files for analysis
function FileList=dwtopendlg
%No inputs
%Output
%FileList - list of files to
s=dir('*.dwt');
if length(s)==0
   s=dir;
end
f={};n={};e={};	%Initializing full filename, filename and extension martixes
for i=1:length([s.isdir])
   if s(i).isdir==0
	f{end+1}=s(i).name;
	[n{end+1},e{end+1}]=strtok(s(i).name,'.'); %Dont use extra dots in filename
   end
end
[s,v] = listdlg('PromptString','Select a data file:',...
   'SelectionMode','multiple','ListSize', [600,360],...
   'ListString',f);
% FileList={'(None)'};
FileList={};
if ~isempty(s)
   % 	set(findobj(1,'Tag','d_file'),'String',f{s(1)});
   % 	set(findobj(1,'Tag','d_FileList'),'Value',1);
   % 	set(findobj(1,'Tag','d_FileList'),'String',{f{s}});
   FileList={f{s}};
end
