%histan - program for hisogram creation ang analysis for patch-clamp data
%dbstop in twodimhist %!
%dbstop in histplot %!
dbstop if error
dbstop if warning
%dbstop in findextrhst
%dbstop in rebinhst
%dbstop in tracehst
%dbstop swtchtmhist

global HstG EnblSnd LastSnd LastFigure HstS d_oph h_oph t_oph p_oph d_options h_options t_options p_options
h_options={}; 
EnblSnd=0; %Enable sound
LastSnd=cputime;	%Setting value for the last sound time
%cd 'C:\Andrey\Other-\Matlab\Patching\Data'
%cd 'C:\Biophysics\ANDREY\MODELING\Patching\Data'
changedir_histan;
%dbstop in hcb %!
%dbstop in twodimhist %!
%dbstop in histplot
format compact
%open('mainboard.fig')
mainboard;
pause(1)
%Setting default values for hystogram creation
Readfile=2;	%Flag for reading X and Y data from input vectors <1>, from single file <2*>.
XY='fragment.atf';	%Vector of initial X and Y data (2xn), or filename for input data file for X and Y values, depending on "Readfile" value.
AbsMinMax=1;	%Use absolute (full data range) Minimum and Maximum to range bins <1*>,
%or use user-defined values <2>.
StepsBinBins=1; 	%Defines whether to use predefined steps number <1*>, bin width <2>, or
%user-defined bin boundaries vector <3>.
set(findobj(1,'Tag','d_ProcType'),'String',{'Histogram Crtn','Scaling','Fusion','Connection','Add Pressure','Cut out','Crct Baseline',...
	'Btch Histogrmng','Btch Hst Tracing','Btch Hst Plotting'});
set(findobj(1,'Tag','d_ProcType'),'Value',1);
set(findobj(1,'Tag','d_FileType'),'String',{'ATF 2 Chnl','ATF 1 Chnl','Txt','TXH 2D histogram','TXR 1D histogram'});
set(findobj(1,'Tag','d_FileType'),'Value',1);

set(findobj(1,'Tag','h_RebTypeX'),'String',{'Steps','Width','Vector'});
set(findobj(1,'Tag','h_RebTypeX'),'Value',1);
set(findobj(1,'Tag','h_RebTypeY'),'String',{'Steps','Width','Vector'});
set(findobj(1,'Tag','h_RebTypeY'),'Value',1);
set(findobj(1,'Tag','h_RebTypeZ'),'String',{'Steps','Width','Vector'});
set(findobj(1,'Tag','h_RebTypeZ'),'Value',1);
set(findobj(1,'Tag','p_RebTypeX'),'String',{'No Rebin','Steps','Width','Vector','Minimums','Averaging','Zeroing'});
set(findobj(1,'Tag','p_RebTypeY'),'String',{'No Rebin','Steps','Width','Vector','Minimums','Averaging','Zeroing'});
set(findobj(1,'Tag','p_RebTypeZ'),'String',{'No Rebin','Steps','Width','Vector','Minimums','Averaging','Zeroing'});
set(findobj(1,'Tag','t_RebTypeX'),'String',{'No Rebin','Steps','Width','Vector','Minimums','Averaging','Zeroing'});
set(findobj(1,'Tag','t_RebTypeY'),'String',{'No Rebin','Steps','Width','Vector','Minimums','Averaging','Zeroing'});
set(findobj(1,'Tag','t_RebTypeZ'),'String',{'No Rebin','Steps','Width','Vector','Minimums','Averaging','Zeroing'});

set(findobj(1,'Tag','p_PlotBinX'),'Value',0);
%set(findobj(1,'Tag','p_RebinX'),'Visible','off');
set(findobj(1,'Tag','p_RebinY'),'Visible','off');
set(findobj(1,'Tag','p_RebinZ'),'Visible','off');
set(findobj(1,'Tag','t_RebinX'),'Visible','off');
set(findobj(1,'Tag','t_RebinY'),'Visible','off');
set(findobj(1,'Tag','t_RebinZ'),'Visible','off');
set(findobj(1,'Tag','h_pdfX'),'Value',1);
set(findobj(1,'Tag','h_pdfY'),'Value',0);
set(findobj(1,'Tag','h_pdfZ'),'Value',0);
MinX=0;	%Minimal X range value.
StepX=100; 	%X range steps number <1*>, X range bin width <2>, or
%user-defined bin boundaries vector <3> (depending on "StepsBinVect" value).
MaxX=100;	%Maximal X range value.
MinY=0; 	%Minimal Y range value.
StepY=100; 	%Y range steps number <1*>, X range bin width <2>, or
%user-defined bin boundaries vector <3> (depending on "StepsBinVect" value).
MaxY=100; 	%Maximal Y range value.
FileType=1;	%Axon Text File (.ATF) <1*>, Text file (.TXT) <2>, or Axon binary file (.ABF) <3>.

set(findobj(1,'Tag','d_BinsY'),'String',{0,70});
set(findobj(1,'Tag','d_BinsY'),'Value',1);
set(findobj(1,'Tag','d_BinY'),'String',0);
set(findobj(1,'Tag','d_StartY'),'String',0);
set(findobj(1,'Tag','d_StepY'),'String',70);

set(findobj(1,'Tag','h_BinsX'),'String',{0,100});
set(findobj(1,'Tag','h_BinsX'),'Value',1);
set(findobj(1,'Tag','h_BinX'),'String',0);
set(findobj(1,'Tag','h_BinsY'),'String',{0,100});
set(findobj(1,'Tag','h_BinsY'),'Value',1);
set(findobj(1,'Tag','h_BinY'),'String',0);
set(findobj(1,'Tag','h_BinsZ'),'String',{0,100});
set(findobj(1,'Tag','h_BinsZ'),'Value',1);
set(findobj(1,'Tag','h_BinZ'),'String',0);

set(findobj(1,'Tag','t_BinsX'),'String',{0,100});
set(findobj(1,'Tag','t_BinsX'),'Value',1);
set(findobj(1,'Tag','t_BinX'),'String',0);
set(findobj(1,'Tag','t_BinsY'),'String',{0,100});
set(findobj(1,'Tag','t_BinsY'),'Value',1);
set(findobj(1,'Tag','t_BinY'),'String',0);
set(findobj(1,'Tag','t_BinsZ'),'String',{0,100});
set(findobj(1,'Tag','t_BinsZ'),'Value',1);
set(findobj(1,'Tag','t_BinZ'),'String',0);

set(findobj(1,'Tag','h_AutoX'),'Value',1);
set(findobj(1,'Tag','h_AutoY'),'Value',1);
set(findobj(1,'Tag','h_AutoZ'),'Value',1);
set(findobj(1,'Tag','h_RebTypeX'),'Value',1);
set(findobj(1,'Tag','h_RebTypeY'),'Value',1);
set(findobj(1,'Tag','h_RebTypeZ'),'Value',1);

set(findobj(1,'Tag','h_MinX'),'String',0);
set(findobj(1,'Tag','h_StepX'),'String',100);
set(findobj(1,'Tag','h_MaxX'),'String',100);
set(findobj(1,'Tag','h_MinY'),'String',0);
set(findobj(1,'Tag','h_StepY'),'String',100);
set(findobj(1,'Tag','h_MaxY'),'String',100);
set(findobj(1,'Tag','h_MinZ'),'String',0);
set(findobj(1,'Tag','h_StepZ'),'String',100);
set(findobj(1,'Tag','h_MaxZ'),'String',100);

set(findobj(1,'Tag','t_MinX'),'String',0);
set(findobj(1,'Tag','t_StepX'),'String',100);
set(findobj(1,'Tag','t_MaxX'),'String',100);
set(findobj(1,'Tag','t_MinY'),'String',0);
set(findobj(1,'Tag','t_StepY'),'String',100);
set(findobj(1,'Tag','t_MaxY'),'String',100);
set(findobj(1,'Tag','t_MinZ'),'String',0);
set(findobj(1,'Tag','t_StepZ'),'String',100);
set(findobj(1,'Tag','t_MaxZ'),'String',100);

set(findobj(1,'Tag','h_NormZN'),'String',{'Z Absolute','Z/(All pnts)','Z/(X pnts)','Z/(Y pnts)',...
		'Z*(X wght)','Z*(Y wght)','Z/(Bin area)'});
set(findobj(1,'Tag','h_NormZN'),'Value',1);
set(findobj(1,'Tag','h_InterpType'),'String',{'None','Linear','Exponential','Enfrcd Linr','Enfrcd Expntl','Enfrcd Linr Spln','Enfrcd Expntl Spln','Zeroing'});
set(findobj(1,'Tag','t_InterpType'),'String',{'None','Linear','Exponential'});
set(findobj(1,'Tag','h_StartFrom'),'String',{'Rough data','Initial Hst','Last Hst','DataLastHst'});
set(findobj(1,'Tag','h_StartFrom'),'Value',1);
%set(findobj(1,'Tag','h_StartFrom'),'Visible','off');
set(findobj(1,'Tag','h_CalcType'),'String',{'State prob.','Dwell time','Transs numbr','Switch time'});
set(findobj(1,'Tag','h_CalcType'),'Value',1);
set(findobj(1,'Tag','h_NormRelX'),'String','1');
set(findobj(1,'Tag','h_NormRelY'),'String','1');
set(findobj(1,'Tag','h_NormRelZ'),'String','1');
set(findobj(1,'Tag','h_InterpLevZ'),'String','0.01');
set(findobj(1,'Tag','h_AutoSwitch'),'Value',1);
set(findobj(1,'Tag','t_NormRelX'),'String','1');
set(findobj(1,'Tag','t_NormRelY'),'String','1');
set(findobj(1,'Tag','t_NormRelZ'),'String','1');
set(findobj(1,'Tag','t_InterpLevZ'),'String','0.01');
set(findobj(1,'Tag','t_NormZN'),'String',{'Z Absolute','Z/(Trc pnts)','Z/(Trc max)','Z*Val','Z*Val/(Trc pnts)','Z*Val/(Trc max)',...
        'Z*Val/(Drn pnts)','Z/(Drn pnts)','Z/(All pnts)','Z*Val/(Drn rng pnts)','Z Mean','Z Std','Z Mean <>0','Z Std <>0',...
		'Z Geom Mean >0','Z Geom Std >0','Z*Val/(Val max)'});
set(findobj(1,'Tag','t_NormZN'),'Value',1);
set(findobj(1,'Tag','p_NormRelX'),'String','1');
set(findobj(1,'Tag','p_NormRelY'),'String','1');
%set(findobj(1,'Tag','p_NormRelZ'),'String','1');
set(findobj(1,'Tag','p_HistTrc'),'String',{'Histogram','Trace'});
set(findobj(1,'Tag','p_HistTrc'),'Value',1);
set(findobj(1,'Tag','t_Dimn'),'String',{'Along X','Along Y'});
set(findobj(1,'Tag','t_Dimn'),'Value',2);
set(findobj(1,'Tag','p_LabelX'),'String','Current');
set(findobj(1,'Tag','p_LabelY'),'String','Pressure');
set(findobj(1,'Tag','p_LabelZ'),'String','# of points');
set(findobj(1,'Tag','p_LogZ'),'Value',1);
set(findobj(1,'Tag','p_AutoZ'),'Value',1);
set(findobj(1,'Tag','p_ContZ'),'String',{'SurfL','Surf','SurfC','Contour','Contour3D','Mesh','Gradient','Slice','Pcolor','Rainbow'});
set(findobj(1,'Tag','p_ContZ'),'Value',1);
set(findobj(1,'Tag','p_gridX'),'Value',1);
set(findobj(1,'Tag','p_gridY'),'Value',1);
set(findobj(1,'Tag','p_gridZ'),'Value',1);
set(findobj(1,'Tag','p_meshX'),'Value',1);
set(findobj(1,'Tag','p_meshY'),'Value',1);
set(findobj(1,'Tag','p_ColMap'),'String',{'autumn','bone','colorcube','cool',...
   'copper','flag','gray','hot','hsv','jet','lines','pink','prism','spring','summer','winter','steel','negative'});
set(findobj(1,'Tag','p_ColMap'),'Value',17);
set(findobj(1,'Tag','p_Lighting'),'String',{'none','flat','gouraud','phong'});
set(findobj(1,'Tag','p_Lighting'),'Value',4);
set(findobj(1,'Tag','p_NormRelSubX'),'String','0');
set(findobj(1,'Tag','p_NormRelSubY'),'String','0');
set(findobj(1,'Tag','p_HprFcn'),'String',{'(None)','z/(1-z)','z*x','z*y'});
set(findobj(1,'Tag','p_HprFcn'),'Value',1);
%set(findobj(1,'Tag','p_NormRelSubZ'),'String','0');
set(findobj(1,'Tag','h_NormRelSubX'),'String','0');
set(findobj(1,'Tag','h_NormRelSubY'),'String','0');
set(findobj(1,'Tag','h_NormRelSubZ'),'String','0');
set(findobj(1,'Tag','t_NormRelSubX'),'String','0');
set(findobj(1,'Tag','t_NormRelSubY'),'String','0');
set(findobj(1,'Tag','t_NormRelSubZ'),'String','0');
set(findobj(1,'Tag','h_TimeRngProf'),'String',{'Eqvl','Ln Dn'});	%Profile for inclusion of points into average rate calculation
set(findobj(1,'Tag','h_TimeRngProf'),'Value',1);
set(findobj(1,'Tag','h_TimeRngType'),'String',{'(None)','pike','m(|R|)/|m(R)|','|m(A)|','|m(A)|/|V|','1/sd','s.p.*dV/(V+Vmn)','s.p.*mx(Va,Vb)',...
	's.p.*mx(Va,Vb)/(Vmn+mn(Va,Vb))','a/(aa+ab+amn','1/sd(V)','pk tll','pk wd'});%{'1/|mean(Rate)|','mean(|Rate|)/|mean(Rate)|','|mean(Pnt Acclr)|'});	%Type of weighting coefficient
set(findobj(1,'Tag','h_TimeRngType'),'Value',1);
% set(findobj(1,'Tag','h_TimeRngProf'),'String',{'Cstm','Eqvl','Ln Up','Ln Dn','Norm','M'});
% set(findobj(1,'Tag','h_TimeRngProf'),'Value',1);
% set(findobj(1,'Tag','h_TimeRngType'),'String',{'Cstm','Bins','StDv','pA'});
% set(findobj(1,'Tag','h_TimeRngType'),'Value',1);
set(findobj(1,'Tag','d_EnblSnd'),'Value',0);
set(findobj(1,'Tag','t_TraceFcn'),'String',{'Trace','Trace&DeNoise','DeNoise','Multi Fit','Trace 2D->1Ds'});
set(findobj(1,'Tag','t_TraceFcn'),'Value',1);
%!Calling hystogram function
%![Hst,BinsX,BinsY]=twodimhist(Readfile,XY,AbsMinMax,StepsBinBins,MinX,StepX,MaxX,MinY,StepY,MaxY,FileType);


%Setting default values for hystogram creation
%BinsX=BinsX; %	X axis bins' boundaries values
%BinsY=BinsY; %	Y axis bins' boundaries values
%Hst=Hst; %	Input histogram matrix
AutoX=1; %	Autoscale X axis <1*>, or not <0>
%MinX=BinsX(1);%	Minimal value for X axis scale
%MaxX=BinsX(end); %	Maximal value for X axis scale
LogX=0; %	Logarithmic <1>, or linear <0*> Y scale
AutoY=1; %	Autoscale Y axis <1*>, or not <0>
%MinY=BinsY(1); %	Minimal value for Y axis scale
%MaxY=BinsY(end); %	Maximal value for Y axis scale
LogY=0; %	Logarithmic <1>, or linear <0*> Y scale
AutoZ=1; %	Autoscale Z axis <1*>, or not <0>
MinZ=0; %	Minimal value for Z axis scale
%MaxZ=max(max(Hst)); %	Maximal value for Z axis scale
LogZ=0; %	Logarithmic <1>, or linear <0*> Z scale

%!Plotting 2D hystogram
%!hp=histplot(BinsX,BinsY,Hst,AutoX,MinX,MaxX,LogX,AutoY,MinY,MaxY,LogY,AutoZ,MinZ,MaxZ,LogZ);

%***	Calling Mainboard window
SndN(4);
LastFigure=1;