%hstsave - function for hystogram saving
function trcsave(FileName,Hst,BinsX)

%Inputs:
%FileName -	Filename template
%Hst -	Histogram data file
%BinsX -	X bins' boundaries vector.

% Save file for program reading - with bin's boundaries, one column
fx=fopen([FileName,'.txr'],'w');
fprintf(fx,'%16.14g\n', BinsX);
fprintf(fx,'%16.14g\n', Hst);
fclose(fx);

% Save file for human/excel reading - with bin's medians, 2 tabbed columns
fx=fopen([FileName,'.txt'],'w');
for i=1:length(Hst)
	fprintf(fx,'%16.14g\t', (BinsX(i)+BinsX(i+1))/2);
	fprintf(fx,'%16.14g\n', Hst(i));
end
fclose(fx);
