%loghst - assigns 1/3 of minimal nonzero value to all zero elements in histogram matrix.
%It's done in order to plot the whole matrix in logarithmic scale.
function HstL=unloghst(Hst)
%Output:
%HstL -	Histogram matrix with assigned minimal values to zero elements.

%Input:
%Hst -	Histogram data matrix

HstL=Hst;
HstLmin=min(min(HstL));	%Minimal number in histogram - considered as former zero
HstLminN=find(HstL==HstLmin); %positions of supposed zeros
HstL(HstLminN)=0;	%Assigning zeros

